Gecode::Int::NValues Namespace Reference

Number of values propagators. More...

## Classes

class | RangeEvent
| Event for range-based overlap analysis. More...
class | SymBitMatrix
| Symmetric diagonal bit matrix. More...
class | Graph
| View-value graph for propagation of upper bound. More...
class | IntBase
| Number of values propagator for integer views base class. More...
class | EqInt
| Equal to number of values propagator for integer views. More...
class | LqInt
| Less or equal to number of values propagator for integer views. More...
class | GqInt
| Greater or equal to number of values propagator for integer views. More...
class | BoolBase
| Number of values propagator for Boolean views base class. More...
class | EqBool
| Equal to number of values propagator for Boolean views. More...
class | LqBool
| Less or equal to number of values propagator for Boolean views. More...
class | GqBool
| Greater or equal to number of values propagator for Boolean views. More...

## Enumerations

enum | RangeEventType { RET_FST = 0 , RET_LST = 1 , RET_END = 2 }
| Event type for range-based overlap analysis. More...

## Detailed Description

Number of values propagators.

## Enumeration Type Documentation

## RangeEventType

enum Gecode::Int::NValues::RangeEventType

Event type for range-based overlap analysis.

Enumerator
RET_FST | A range starts.
RET_LST | A range ends.
RET_END | No further events.

Definition at line 48 of file nvalues.hh.